PowerLite 1725 Multimedia Projector

Selected FAQ

Q:
Which operating systems support the EMP Monitor software?
A:
The following versions of Microsoft Windows support EMP Monitor:

  • Windows 98SE SP1

  • Windows NT4.0 (SP6)

  • Windows Me

  • Windows 2000 (SP4)

  • Windows XP 32-Bit edition (Home Edition/Professional) SP1 or later

  • Windows Vista 32-bit Edition
Published: November 7, 2008

Thank you for your feedback.
Was this FAQ helpful?
Yes No  
Please tell us why this FAQ was not helpful.
Note: We are unable to reply to comments submitted here.


Viewed FAQs

Return to Main FAQs Page